%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-py3dns
Version:       4.0.0
Release:       2mamba
Summary:       Python 3 DNS library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/py3dns
Source:        https://pypi.debian.net/py3dns/py3dns-%{version}.tar.gz
License:       Python Software Foundation License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:      pydns <= 2.3.6
%pyver_package
%endif

%prep
%setup -q -n py3dns-%{version}


CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/jsonschema; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/DNS
%{python_sitelib}/DNS/*
%doc LICENSE

%changelog
* Fri Sep 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-2mamba
- rebuilt with python3 == 3.11

* Mon Sep 04 2023 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- package created using the webbuild interface
